Bug 848615 - New version request
New version request
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dstat (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jiri Popelka
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-15 22:58 EDT by Christopher Meng
Modified: 2012-08-16 03:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 03:33:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2012-08-15 22:58:39 EDT
This package hasn't been updated for two years.

But upstream has released a fixed version.

So I hope someone can update it.



* 0.7.2svn - ... - release 03/09/2010
- Provide kernel configuration options to error mesages where possible
- Added external dstat_md_dstat plugin to show the resync progress of SWRAID (Bert de Bruijn)
- Changed color of 100% to white to make it stand out (Bert de Bruijn)
- Added new --bits option to force bit-values on screen (Scott Baker)
- Fix to allow internal plugins to use underscores/dashes too
- Improve internal dstat_vm plugin to use globs for matching/adding counters
- Added internal dstat_vm_adv plugin to show advanced VM counters (Pallai Roland)
- Added internal dstat_zones plugin to show zoneinfo counters (Pallai Roland)
- Fix warning message when colors are disabled because TERM is not found (Ulp 660181)
- Fix typo in dstat_nfs3_ops and dstat_nfsd3_ops (Chris Larsson)
- Added external dstat_mem_adv plugin so show advanced memory counters (Damon Snyder)
- Allow more variables (self.vars) than nicknames (self.nick) to simplify plugins
- Using -f/--full does not impact -c/--cpu anymore, most systems ship with 2 or more CPUs
- Added counter 'parent' when printing CSV subtitles of list-counters (Michael Boutillier)
- Print decimal values as decimals where possible (so 0 instead of 0.0)
- Added external dstat_ddwrt_* plugins using DD-WRT counters using SNMP infrastructure
- Fixed improper process names using spaces instead of \0 (Edward Smith)

* 0.7.2 - Real soon now - release 15/06/2010
- Added external dstat_disk_tps plugin to show transactions per second
- Added support for filtering /dev/vdaX devices (KVM virtio)
- Added external dstat_squid plugin to show squid counters (Jason Friedland)
- Introduced blockdevices() to list available blockdevices
- Added support for CCISS block devices (named cciss/c0d0)
- Introduced cmd_test() to verify command and options
- Introduced cmd_readlines() to read from command output
- Introduced cmd_splitlines() to split lines read from command output
- Implement best effort /proc integer overflow handling in dstat_net (Ross Brattain)
- Added external dstat_dstat_cpu plugin to show dstat's cpu usage
- Added external dstat_dstat_ctxt plugin to show dstat's context switches
- Added external dstat_dstat_mem plugin to show dstat's memory usage
- Added external dstat_top_bio_adv plugin to show advanced top I/O usage
- Added external dstat_top_cpu_adv plugin to show advanced top cpu usage
- Added external dstat_top_io_adv plugin to show advanced top block I/O usage
- Allow specifying separator for splitline() and splitlines() functions
- Make top-plugins free memory for processes that no longer exist
- Added external dstat_top_int plugin to show most frequent interrupt by name
- Fixed python 2.6 string exception issue (Dbt 585219)
- Documentation improvements

* 0.7.1 - Just the three of us - release 22/02/2010
- Fix external plugins on python 2.2 and older (eg. RHEL3)
- Documentation improvements
- Implement linecache for top-plugins (caching for statistics)
- Added external dstat_qmail plugin to show the length of qmail queues (Tom Van Looy)
- Added external dstat_dstat plugin to show Dstat's own cputime and latency values
- Added --profile option to get profiling statistics when you exit dstat
- Show a message with the default options when no stats are being specified
- Improved page allocation numbers in vm plugin (Hirofumi Ogawa)
- Introduced proc_readline() and proc_spitline() using linecache for top-plugins
- Introduced proc_readlines() and proc_splitlines() using linecache for top-plugins
- Introduced proc_pidlist() for top-plugins
- New tchg() function to format the time depending on width
Comment 2 Jiri Popelka 2012-08-16 03:33:47 EDT
Thank you for taking the time to enter a bug report with us. We appreciate the feedback and look to use reports such as this to guide our efforts at improving our products. That being said, this bug tracking system is not a mechanism for requesting support, and we are not able to  guarantee the timeliness or suitability of a resolution.

If this issue is critical or in any way time sensitive, please raise a ticket through your regular Red Hat support channels to make certain it receives the proper attention and prioritization to assure a timely resolution. 

For information on how to contact the Red Hat production support team, please visit: https://www.redhat.com/support/process/production/#howto

Note You need to log in before you can comment on or make changes to this bug.